Newcomer

Spectrum upgrade loop fail

I have on older tablet I gave my daughter to watch tv on. It said that we had to upgrade our app but in the App Store it says you have to have ios9 to upgrade. While older tablets and phone cannot upgrade 2. It say to download the most compatible version. When u do it tells to upgrade. Help please!!!

1 REPLY
Established Sharer

Re: Spectrum upgrade loop fail

Spectrum and most every company out there will software engineer their apps and programs to be compatible on the greatest number of devices first, and then if they deem it worth their time will design software for older or lesser used devices.  In your case, it sounds like you may have a gen 1 iPad that only runs iOS 5. Apple stopped supporting updates for this device in 2012.